$directions = ((top t) (right r) (bottom b) (left l))

// atomic styles
.to
  for prop in (left right)
    &-{prop}
      float prop
  
// text-align 
.ta
  for prop in ((left l) (center c) (right r))
    &-{prop[1]}
      text-align prop[0]
      
.va
  for prop in ((top t) (middle m) (bottom b))
    &-{prop[1]}
      vertical-align prop[0]

.d
  for prop in ((block b) (inline-block ib) (inline i) (table t))
    &-{prop[1]}
      display prop[0]

.mar
  for dir in $directions
    &-{dir[1]}
      for len in (0...4)
        &{len}
          margin-{dir[0]} unit(len, em)
          
  for y in (0...5)
    &-{y}
      for x in (0...5)
        &{x}
          margin unit(y, em) unit(x, em)
  
  &-060
    margin .6em 0
  &-b06
    margin-bottom .6em
  &-t06
    margin-top .6em